# m3e/pseudo_radio

PseudoRadio is an element which looks like a radio button.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Checked

</>

Checked is a value indicating whether the element is checked.

    pub type Checked {
      IsChecked
      IsNotChecked
    }

### Constructors

-     IsChecked

-     IsNotChecked

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(checked: Checked, disabled: Disabled)
    }

### Constructors

-     Config(checked: Checked, disabled: Disabled)

## Disabled

</>

Disabled is a value indicating whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## PseudoRadio

opaque </>

PseudoRadio is a View Model for this component

## Fields:

- checked: A value indicating whether the element is checked.
- disabled: A value indicating whether the element is disabled.

    pub opaque type PseudoRadio

# Values

## checked

</>

    pub fn checked(
      record: PseudoRadio,
      checked: Checked,
    ) -> PseudoRadio

checked sets the value of checked for this PseudoRadio.

## default_checked

</>

    pub const default_checked: Checked

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## disabled

</>

    pub fn disabled(
      record: PseudoRadio,
      disabled: Disabled,
    ) -> PseudoRadio

disabled sets the value of disabled for this PseudoRadio.

## from_config

</>

    pub fn from_config(config: Config) -> PseudoRadio

from_config creates a new PseudoRadio from the given configuration.

## new

</>

    pub fn new() -> PseudoRadio

new creates a new PseudoRadio with the default configuration.

## render

</>

    pub fn render(
      model: PseudoRadio,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a PseudoRadio

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a PseudoRadio Config

✨